Skip to main content
GET
/
unified
/
crm
/
accounts
List Accounts
curl --request GET \
  --url https://api.stackone.com/unified/crm/accounts \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'x-account-id: <x-account-id>'
import requests

url = "https://api.stackone.com/unified/crm/accounts"

headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.stackone.com/unified/crm/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
      "remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
      "unified_custom_fields": {
        "my_project_custom_field_1": "REF-1236",
        "my_project_custom_field_2": "some other value"
      },
      "owner_id": "<string>",
      "remote_owner_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48",
      "name": "<string>",
      "description": "<string>",
      "industries": [
        "Information Technology",
        "Airlines & Airports",
        "Personal Care & Household Products"
      ],
      "annual_revenue": "<string>",
      "website": "<string>",
      "addresses": [
        {
          "street_1": "<string>",
          "street_2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "zip_code": "<string>",
          "country": {
            "value": "GB",
            "source_value": "GB"
          },
          "location_type": {
            "value": "home",
            "source_value": "Home"
          }
        }
      ],
      "phone_numbers": [
        "+1123425334"
      ],
      "created_at": "2021-01-01T01:01:01.000Z",
      "updated_at": "2021-01-01T01:01:01.000Z"
    }
  ],
  "next_page": "<string>",
  "next": "<string>",
  "raw": [
    {
      "method": "<string>",
      "url": "<string>",
      "body": {},
      "response": {}
    }
  ]
}
{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}
{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}
{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Query Parameters

raw
boolean | null

Indicates that the raw request result should be returned in addition to the mapped result (default value is false)

proxy
object | null

Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key

fields
string | null

The comma separated list of fields that will be returned in the response (if empty, all fields are returned)

Example:

"id,remote_id,owner_id,remote_owner_id,name,description,industries,annual_revenue,website,addresses,phone_numbers,created_at,updated_at,unified_custom_fields"

filter
object | null

Filter parameters that allow greater customisation of the list response

page
string | null

The page number of the results to fetch

page_size
string | null

The number of results per page (default value is 25)

next
string | null

The unified cursor

updated_after
string<date-time> | null

Use a string with a date to only select results updated after that given date

Example:

"2020-01-01T00:00:00.000Z"

Response

The list of accounts was retrieved.

data
object[]
required
next_page
string | null
deprecated
next
string | null
raw
object[] | null